### Name: ModelEnv-class
### Title: Class "ModelEnv"
### Aliases: ModelEnv-class clone,ModelEnv-method clone
###   dimension,ModelEnv,character-method dimension
###   has,ModelEnv,character-method has initialize,ModelEnv-method
###   show,ModelEnv-method subset,ModelEnv-method subset
###   na.pass,ModelEnv-method na.pass na.fail,ModelEnv-method na.fail
###   na.omit,ModelEnv-method na.omit
### Keywords: classes

### ** Examples


### a new object
me <- new("ModelEnv")

### define a bivariate response variable
me@set("response", data.frame(y = rnorm(10), x = runif(10)))
me

### check if a response is available
has(me, "response")

### the dimensions
dimension(me, "response")

### extract the data
me@get("response")

### NA handling
df <- data.frame(x = rnorm(10), y = rnorm(10))
df$x[1] <- NA
mf <- ModelEnvFormula(x ~ y, data = df, na.action = na.pass)
mf
na.omit(mf)




